| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # HexBin Class Reference List of all members.
## Static Public Methods
int | getDataLength (const XMLCh *const hexData)
| return the length of hexData in terms of HexBinary.
bool | isArrayByteHex (const XMLCh *const hexData)
| check an array of data against the Hex table.
## Member Function Documentation
int HexBin::getDataLength | ( | const XMLCh *const | hexData | ) | `[static]`
  | return the length of hexData in terms of HexBinary. Parameters:
  hexData | A string containing the HexBinary
return: -1 if it contains any invalid HexBinary the length of the HexNumber otherwise.
bool HexBin::isArrayByteHex | ( | const XMLCh *const | hexData | ) | `[static]`
  | check an array of data against the Hex table. Parameters:
  hexData | A string containing the HexBinary
return: false if it contains any invalid HexBinary true otherwise.
The documentation for this class was generated from the following file: HexBin.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.